/*
 +-------------------------------------------------------------------+
 |                    J S - I L O A D E R   (v1.1)                   |
 |                          P a r t   I                              |
 |                                                                   |
 | Copyright Gerd Tentler                www.gerd-tentler.de/tools   |
 | Created: Dec. 6, 2006                 Last modified: Apr. 9, 2007 |
 +-------------------------------------------------------------------+
 | This program may be used and hosted free of charge by anyone for  |
 | personal purpose as long as this copyright notice remains intact. |
 |                                                                   |
 | Obtain permission before selling the code for this program or     |
 | hosting this software on a commercial website or redistributing   |
 | this software over the Internet or in any other medium. In all    |
 | cases copyright must remain intact.                               |
 +-------------------------------------------------------------------+

======================================================================================================
 This script was tested with the following systems and browsers:

 - Windows XP: IE 6, NN 7, Opera 7, Firefox 1
 - Mac OS X:   IE 5

 If you use another browser or system, this script may not work for you - sorry.

 NOTE: Safari 1 (Mac OS X) does not support "document.images[].complete", so the loading image will
       not be shown.
======================================================================================================
*/
//----------------------------------------------------------------------------------------------------
// Configuration
//----------------------------------------------------------------------------------------------------

  var imgName = "iloader.gif"     // image name (path)
  var imgWidth = 30;              // image width (pixels)
  var imgHeight = 30;             // image height (pixels)
  var fadeInSpeed = 20;           // content fade-in speed (0 - 30; 0 = no fading)*

// * Fading is not supported by all browsers.

//----------------------------------------------------------------------------------------------------
// Build loading image box
//----------------------------------------------------------------------------------------------------

  var safari = (navigator.userAgent.indexOf('Safari') != -1) ? true : false;

  if((document.all || document.getElementById) && !safari) {
    document.write('<style> .clsImage { ' +
                   'position: absolute; top: 50%; left: 50%; ' +
                   'width: ' + imgWidth + 'px; ' +
                   'height: ' + imgHeight + 'px; ' +
                   'margin-top: -' + Math.round(imgHeight / 2) + 'px; ' +
                   'margin-left: -' + Math.round(imgWidth / 2) + 'px; ' +
                   'z-index: 69; ' +
                   '} </style> ' +
                   '<div id="divImage" class="clsImage">' +
                   '<img src="' + imgName + '" width="' + imgWidth + '" height="' + imgHeight + '">' +
                   '</div>' +
                   '<div id="Content" style="width:100%; visibility:hidden">');
  }

//----------------------------------------------------------------------------------------------------
